Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Différence entre MacOS et Ubuntu ?
#1
Bonjour,

J'utilise Darktable surtout sur une Station UNIX sous Ubuntu 18.04.
mais je l'ai aussi installé sur un macbookPro 2011 sous MacOS X.

Je viens d'installer DarkTable 2.6.0 sous MacOS et sous Ubuntu.

J'ai importer les memes fichiers RAW sur les deux systémes.

Dans la table lumineuse, mon boitier CANON EOS 6D Mark II est bien reconnu sur les deux systèmes(MacOS et Ubuntu).

MAIS dans la Chambre Noire module correction objectif :

Sous MacOS : le boitier et l'objectif sont bien reconnu.
Sous Ubuntu, seul l'objectif est reconnu, le boitier n'apparait pas.
avec le choix manuel, le choix du boitier 6D MarkII n'existe pas.

Y a t'il une différence au niveau de Lensfun entre les deux systémes ?
Répondre
#2
Voir : https://darktable.fr/forum/showthread.ph...2#pid27672
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#3
Bonjour

J'ai exactement le même problème et je ne trouve pas de solutions.
une idée ?
J'ai suivi les conseils donnés par Pascal sans succès.

doumé
Doumé et son matos :
Canon EOS 6D markll
canon 40 F2.8  et  canon 24-70 F4   et  canon 70-300 F4-5.6 IS
Répondre
#4
(10-03-19, 23:59)doume a écrit : Bonjour

J'ai exactement le même problème et je ne trouve pas de solutions.
une idée ?
J'ai suivi les conseils donnés par Pascal sans succès.

doumé

Bonjour,

Sans savoir quelle OS utilisé (nom et version) et quel appareil photo, quel objectif... Egalement quelle version de Lensfun utilisée ? Vérifies au passage sur le site Lensfun si ton appareil et objectif sont supportés (et comparer à partir de quelle version/quelle version installé sur ton ordi si supportés). Bref, avec si peu d'éléments, ça va être difficile de deviner.

Si ce n'est pas fait (ou pas fait récemment), il a été mis à jour il y a quelques jours, il est bienvenu de lire le règlement du forum : https://darktable.fr/reglement-du-forum/ et l'article qui est lié dans ce règlement...
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#5
Bonjour Nico

J'ai mis à jour mon profil.
Je me permettais de ne pas trop développer car c'est vraiment le même problème que christg69
D'autre part j'ai pas mal cherché avant de poster ....

Mon boîtier 6D markll est reconnu par darktable visible dans les infos de chaque photo.

Mais dans le module correction objectifs, seul l'objectif est reconnu, le boîtier n’apparaît pas.
le 40 F2.8 et le 24-70 F4L avec leur nom et le 70-300 avec un numéro !

avec le choix manuel, le choix du boîtier 6D MarkII n'existe pas.

Pour lensfun, j'ai trouvé un répertoire avec comme version la 1, mais j'ai du mal pour la mise à jour.
Pas très à l'aise ...

merci en tout cas pour toute aide

Doumé
Doumé et son matos :
Canon EOS 6D markll
canon 40 F2.8  et  canon 24-70 F4   et  canon 70-300 F4-5.6 IS
Répondre
#6
Dans ce cas, m'est avis que tu n'as pas bien lu ou pas bien compris. Si tu relis bien le fil que pascal mets en lien, tout y est expliqué. Si ton 6D n'apparait pas dans le module "Correction d'objectifs", c'est qu'il n'est pas reconnu pas la version de la librairie Lensfun que tu as (ou Exiv2 si ancienne et ne reconnaissant pas le boitier). Il y a plusieurs choses dans darktable sur la reconnaissance des appareils et objectifs très bien expliquées par moi-même (entre autres utilisateurs) et les contribs de jpverrue :

- l'identification des données Exif, via la libraire Exiv2 qui permet l'affichage du nom/modèle de boitier et objectifs (dans les données d'infos d'image notamment). Si la reconnaissance par Exiv2 est ko, lensfun ne saura pas non plus l'identifier
- la correction d'objectifs, basée sur la librairie Lensfun. Voir sur ce site de lensfun (http://lensfun.sourceforge.net/). S'il y avait été, c'est que tu avais sûrement une version de la librairie ancienne (vu ta distrib, c'est d'ailleurs aussi le cas). A ce propos, il n'existe pas de version 1 de lensfun (là tu parles de la version des fichiers xml gérant les données lensfun. La version probable que tu dois avoir sur Ubuntu 18.04 doit être quelque chose comme 0.3.x (pour le savoir, revoir fil de discussion du lien posté par pascal).

Je pencherais quand même par une mise à jour de lensfun (revoir le mets fil posté par pascal pour cela) vu qu'il semble le 6D mark II est été ajouté récemment sur cette librairie.

Sur Ubuntu, il est clair que la version d'Exiv2 est vieille (j'ai la 0.25 sur Ubuntu 18.10 et cette librairie en est à la 0.27 avec beaucoup de changements). Pareil pour la iibrairie Lensfun qui est assez vieille : revoir fil posté par pascal pour connaître ta version et la mettre à jour. Pour Exiv2, pour la mise à jour, pas de paquet debian/ubuntu à ce jour trouvé. Il faut la compiler si tu veux la dernière version.
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#7
J'avais soigneusement lu le post indiqué par Pascal.
Il est vrai que je ne suis pas initié vraiment à ces mises à jour ou compilations...
La version que j'ai de lensfun est celle ci : 0.3.2-4pmjdebruijn1~bionic
celle de Exiv2 est celle donnée par ubuntu 18.04.2
J'ai donc me semble t-il la dernière version de lensfun, mais je ne sais pas compiler pour Exiv2.

merci en tout cas pour ton aide
Doumé et son matos :
Canon EOS 6D markll
canon 40 F2.8  et  canon 24-70 F4   et  canon 70-300 F4-5.6 IS
Répondre
#8
(11-03-19, 23:09)doume a écrit : J'avais soigneusement lu le post indiqué par Pascal.
Il est vrai que je ne suis pas initié vraiment à ces mises à jour ou compilations...
La version que j'ai de lensfun est celle ci : 0.3.2-4pmjdebruijn1~bionic
celle de Exiv2 est celle donnée par ubuntu 18.04.2
J'ai donc me semble t-il la dernière version de lensfun, mais je ne sais pas compiler pour Exiv2.

merci en tout cas pour ton aide

La dernière version publiée de Lensfun est la 0.3.95 comme tu peux le voir sur le site Lensfun. Et sans compter la version de développement en cours. Donc non tu n'as pas la dernière version. Même Ubuntu 18.10 plus récente n'a pas la dernière version.
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#9
Tu peux voir : https://forums.darktable.fr/showthread.p...2#pid31152
Répondre
#10
(11-03-19, 23:24)nicoauffray a écrit : La dernière version publiée de Lensfun est la 0.3.95 comme tu peux le voir sur le site Lensfun. Et sans compter la version de développement en cours. Donc non tu n'as pas la dernière version. Même Ubuntu 18.10 plus récente n'a pas la dernière version.

Alors excuse moi Nico pour mon incompétence, mais comment charger cette dernière version ?
Doumé et son matos :
Canon EOS 6D markll
canon 40 F2.8  et  canon 24-70 F4   et  canon 70-300 F4-5.6 IS
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)